        subroutine PHOX(K2,LIGHTL)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      include 'LOCAL3.INC'
        dimension LIGHTL(NPX)
        real KOXL, LIGHTL, TKEL
        integer I, II, J, K, K2, KK
      do 130 J = 1, KOUNT
         if (TYPEG(J).eq.'B') go to 130
         OXRADL(J) = OXRADG(NDAT)*LIGHTL(J)
         II = -2
         TKEL = TCELG(J,NDAT)+273.15
         do 120 K = 1, 7
            if (SPFLGG(K,K2).eq.0) go to 110
            do 100 I = 1, 3
               KK = 3*K+II+I-1
               KOXL = KOXG(I,K,K2)
               if (EOXG(I,K,K2).ne.0.) KOXL = 10.**(KOXG(I,K,K2)-((1000.
     &            *EOXG(I,K,K2))/(4.58*TKEL)))
               OXIDKL(J,K2) = OXIDKL(J,K2)+ALPHA(KK,J,K2)*KOXL*OXRADL(J)
100         continue
110         continue
            II = II+1
120      continue
130   continue
      return
      end
